# .readthedocs.yaml
# Read the Docs configuration file
# See https://docs.readthedocs.io/en/stable/config-file/v2.html for details

# Required
version: 2

# Set the version of Python and other tools you might need
build:
  os: ubuntu-20.04
  tools:
    python: "3.9"
  apt_packages:
    - protobuf-compiler
    - tar
    - gzip
    - curl
  jobs:
    pre_build:
      - curl -L -O https://github.com/pseudomuto/protoc-gen-doc/releases/download/v1.5.1/protoc-gen-doc_1.5.1_linux_amd64.tar.gz
      - tar -xzf protoc-gen-doc_1.5.1_linux_amd64.tar.gz
      - protoc -I=./protobuf --plugin=protoc-gen-doc=./protoc-gen-doc --doc_out=./docs/src/api --doc_opt=./protobuf/protobuf.md.mustache,protobuf.md ./protobuf/ska/pst/lmc/ska_pst_lmc.proto

# Build documentation in the docs/ directory with Sphinx
sphinx:
   configuration: docs/src/conf.py

# Optionally declare the Python requirements required to build your docs
python:
   install:
   - requirements: docs/requirements.txt
 